import { Modal } from 'componentes/modal';
import { Articulo, Bulto, TipoBulto } from 'expedicion/modelos/expedicion-tipos';
export declare type SeleccionBultoNuevo = {
    opcion: 'nuevo';
    numeroBultos: number;
    cantidadPorBulto: number;
    GVPALLETIP: TipoBulto;
};
export declare type SeleccionBultoActualiza = {
    opcion: 'actualiza';
    bulto: Bulto;
};
export declare type SeleccionBultoNinguno = {
    opcion: 'ninguno';
};
export declare type SeleccionBulto = SeleccionBultoNuevo | SeleccionBultoActualiza | SeleccionBultoNinguno;
export declare class DialogoSeleccionBulto {
    private _modal;
    private tabla;
    private botonSeleccionar;
    private botonNinguno;
    private botonNuevo;
    private botonDetalles;
    private cantidad;
    private bultos;
    private seleccionado;
    constructor(_modal: Modal, p_bultos: {
        N_BULTO: number;
        GVPALLETIP: TipoBulto;
        articulos: Articulo[];
    }[], p_cantidad: number, p_ultimoBultoSeleccionado: {
        N_BULTO: number;
        GVPALLETIP: TipoBulto;
        articulos: Articulo[];
    });
    private mapeaBulto;
    private seleccionaBulto;
    private actualizaVista;
    private seleccionar;
    private ninguno;
    private nuevo;
    private detalles;
}
